$color_1: #666666;
$color_2: #767676;
$color_3: #5FC7AE;
$color_4: #252525;
$color_5: #C2A762;
$color_6: #464646;
$color_7: #858585;
$color_8: #433a8b;
$font-family_1: 'Montserrat', sans-serif;
$background-color_1: #5FC7AE;
$background-color_2: #333333;
$background-color_3: #fff;
$background-color_4: transparent;
$border-color_1: #433a8b;

.logo {
  a {
    display: inline-block;
  }
}
.top {
  background: #fff;
}
.main-menu {
  ul {
    li {
      display: inline-block;
      position: relative;
      a {
        color: $color_2;
        display: inline-block;
        font-size: 16px;
        font-weight: 500;
        line-height: 64px;
        padding: 0 20px;
        position: relative;
        text-transform: capitalize;
        font-family: $font-family_1;
        -webkit-transition: all 0.4s ease 0s;
        transition: all 0.4s ease 0s;
      }
      ul {
        background: #ffffff none repeat scroll 0 0;
        left: 0;
        opacity: 0;
        -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
        padding: 5px 18px;
        position: absolute;
        text-align: left;
        top: 100%;
        -webkit-transition: all 0.3s ease 0s;
        transition: all 0.3s ease 0s;
        visibility: hidden;
        width: 160px;
        z-index: 999;
        li {
          display: block;
          margin: 0;
          padding: 7px 0;
          a {
            color: $color_4;
            display: block;
            font-size: 14px;
            line-height: 26px;
            padding: 0;
            text-transform: capitalize;
            &:before {
              display: none;
            }
          }
          &:hover {
            >a {
              padding-left: 5px;
              color: $color_5;
            }
          }
          >ul {
            left: 100%;
            opacity: 0;
            -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
            position: absolute;
            top: 17%;
            visibility: hidden;
          }
        }
        span {
          float: right;
          font-size: 15px;
          line-height: 20px;
          margin-right: 22px;
        }
      }
      &:hover {
        >ul {
          opacity: 1;
          -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)";
          visibility: visible;
        }
      }
    }
  }
  >nav {
    >ul {
      >li {
        &:hover {
          >a {
            color: $color_3;
          }
        }
      }
    }
  }
}
.mean-container {
  .mean-nav {
    ul {
      li {
        &:first-child {
          a {
            border-top: none;
          }
        }
      }
    }
    margin-top: 0;
  }
  .mean-bar {
    &:after {
      display: none;
    }
    background: transparent none repeat scroll 0 0;
    min-height: 0;
    padding: 0;
  }
  a.meanmenu-reveal {
    border: 1px solid #5FC7AE;
    color: $color_3;
    margin-top: -50px;
    padding: 4px 5px;
    position: absolute;
    span {
      background-color: $background-color_1;
    }
  }
}
.header-contact {
  >a {
    font-size: 14px;
    font-weight: 600;
    text-transform: uppercase;
    font-family: $font-family_1;
    border: 1px solid #5FC7AE;
    border-radius: 25px;
    color: $color_1;
    margin-top: 13px;
  }
}
.main-menu.text-start {
  span {
    float: right;
  }
}
.mobile-menu-area {
  display: none;
  background-color: $background-color_3;
  display: block;
  height: 100%;
  left: 0;
  overflow-y: scroll;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 999999;
  .menu-close {
    background-color: $background-color_4;
    border: 2px solid #858585;
    border-radius: 50%;
    color: $color_7;
    height: 40px;
    padding: 0;
    width: 40px;
    margin-bottom: 30px;
    &:hover {
      color: $color_8;
      border-color: $border-color_1;
    }
    i {
      display: block;
      font-size: 30px;
      line-height: 30px;
      padding-right: 2px;
    }
  }
}
.sticky {
  .mean-container {
    a.meanmenu-reveal {
      margin-top: -59px;
    }
  }
  .main-menu {
    >nav {
      >ul {
        >li {
          padding: 12px 0 14px;
        }
      }
    }
  }
  .header-contact {
    a {
      margin-top: 25px;
    }
  }
  .logo {
    padding: 11px 0;
  }
  .menu-toggle {
    margin-top: 32px;
  }
}
.headroom {
  -webkit-transition: -webkit-transform 200ms linear 0s;
  transition: -webkit-transform 200ms linear 0s;
  transition: transform 200ms linear 0s;
  transition: transform 200ms linear 0s, -webkit-transform 200ms linear 0s;
  will-change: transform;
}
.headroom--pinned {
  -webkit-transform: translateY(0%);
  transform: translateY(0%);
}
.headroom--unpinned {
  -webkit-transform: translateY(-100%);
  transform: translateY(-100%);
}
.intelligent-header {
  left: 0;
  position: fixed;
  right: 0;
  top: 0;
  z-index: 10;
}
.intelligent-header.headroom--not-top {
  background: #ffffff none repeat scroll 0 0;
  padding: 10px 0;
}
.header-sticky.sticky {
  -webkit-animation: 300ms ease-in-out 0s normal none 1 running fadeInDown;
  animation: 300ms ease-in-out 0s normal none 1 running fadeInDown;
  background: rgba(255, 255, 255, 0.95);
  left: 0;
  padding: 0;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 99;
}
.header-area {
  .sticky {
    background: rgba(255, 255, 255, 0.8) none repeat scroll 0 0;
    box-shadow: 0 1px 3px rgba(50, 50, 50, 0.4);
  }
}
.menu-style-toggle {
  nav {
    margin-right: -30px;
    opacity: 0;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
    visibility: hidden;
    float: left;
    -webkit-transition: all 0.3s ease 0s;
    transition: all 0.3s ease 0s;
  }
  nav.menu-open {
    margin-right: 0;
    opacity: 1;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)";
    visibility: visible;
  }
}
.main-menu.mean-menu.menu-style-toggle.text-end {
  float: right;
}
.mobile-header {
  background: #ffffff none repeat scroll 0 0;
  display: none;
  left: 0;
  margin: auto;
  padding: 15px 20px;
  position: absolute;
  right: 0;
  top: 0;
  width: 100%;
  z-index: 999;
}
.mobile-logo {
  img {
    width: 40px;
  }
}
.menu-icon {
  border: 1px solid #464646;
  box-sizing: content-box;
  color: $color_6;
  cursor: pointer;
  font-weight: 700;
  height: 22px;
  line-height: 22px;
  padding: 4px 5px;
  position: absolute;
  right: 20px;
  text-decoration: none;
  top: 25px;
  width: 22px;
  span {
    background-color: $background-color_2;
    display: block;
    height: 3px;
    margin-top: 3px;
    box-sizing: content-box;
  }
}
